import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    service.createProject("proj", 1);
    
    service.createProfessor("country", 1, "name");

    service.addProfessorProject(1, 1);

    System.out.println("Professors:");
    for (Professor emp : service.findAllProfessors()) {
      System.out.print(emp + " with " + emp.getAssignments().size() + " assignments");
    }

    System.out.println("Projects:");
    for (Project p : service.findAllProjects()) {
      System.out.print(p + " with " + p.getAssignments().size() + " assignments");
    }

    util.checkData("select * from Project");

    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}